#
# spec file for package gnome-nettool (Version 1.4.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnome-nettool
BuildRequires:  gnutls-devel intltool libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel perl-XML-Parser update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Version:        1.4.1
Release:        18.2
URL:            http://www.gnome.org
Group:          System/GUI/GNOME
License:        GPL
Summary:        GNOME Interface for Various Networking Tools
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/1.0/%{name}-%{version}.tar.bz2
Autoreqprov:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNOME Nettool is a set of front-ends to various networking command-line
tools, like ping, netstat, ifconfig, whois, traceroute, and finger.



Authors:
--------
    German Poo-Caaman~o <gpoo@ubiobio.cl>

%debug_package
%prep
%setup -q

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && \
        mv configure.in.tmp configure.in
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && \
        mv configure.tmp configure; chmod +x configure
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
    --prefix=%{prefix} \
    --sysconfdir=%sysconfdir \
    --libdir=%{prefix}/%{_lib} \
    --libexecdir=%{prefix}/lib/%{name}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}
%suse_update_desktop_file -G "Network Information" gnome-nettool Network Settings

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/gnome-nettool
%{prefix}/share/applications/gnome-nettool.desktop
%{prefix}/share/gnome-nettool
%{prefix}/share/pixmaps/gnome-nettool.png

%changelog -n gnome-nettool
* Fri Feb 17 2006 - sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Oct 04 2005 - rodrigo@suse.de
- Update to version 1.4.1 (GNOME 2.12.1)
- Removed upstreamed patch.
* Mon Sep 05 2005 - mmj@suse.de
- Update to version 1.4.0 (GNOME 2.12)
* Tue Aug 23 2005 - rodrigo@suse.de
- Update to version 1.3.92
* Mon Aug 08 2005 - rodrigo@suse.de
- Update to version 1.3.91
* Fri Jul 22 2005 - gekker@suse.de
- Update to version 1.3.0
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 1.2.0 (GNOME 2.10).
* Sun Feb 06 2005 - gekker@suse.de
- Update to 1.1.0
* Tue Feb 01 2005 - meissner@suse.de
- Added one missing NULL.
* Mon Jan 24 2005 - clahey@suse.de
- Initial import.
